Bug 1297274 - Review Request: pulp - An application for managing software repositories
Review Request: pulp - An application for managing software repositories
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1297622
  Show dependency treegraph
 
Reported: 2016-01-10 23:47 EST by Randy Barlow
Modified: 2016-01-14 00:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 00:05:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
admiller: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2016-01-10 23:47:22 EST
Spec URL: https://rbarlow.fedorapeople.org/pulp.spec
SRPM URL: https://rbarlow.fedorapeople.org/pulp-2.8.0-0.1.alpha.20160110gitb5031a23.fc24.src.rpm
Description: Pulp provides replication, access, and accounting for software repositories.
Fedora Account System Username: rbarlow

Known rpmlint issues, with inline comments:

pulp-admin-client.noarch: W: conffile-without-noreplace-flag /etc/bash_completion.d/pulp-admin
pulp-consumer-client.noarch: W: conffile-without-noreplace-flag /etc/bash_completion.d/pulp-consumer

IMO, bash_completions shouldn't have noreplace. Is that correct?

pulp-agent.noarch: E: zero-length /etc/pulp/agent/agent.conf

I filed this upstream: https://pulp.plan.io/issues/1497

pulp-consumer-client.noarch: E: non-readable /etc/pki/pulp/consumer/rsa.key 640
pulp-nodes-child.noarch: E: non-readable /etc/pulp/server/plugins.conf.d/nodes/importer/http.conf 640
pulp-nodes-common.noarch: E: non-readable /etc/pulp/nodes.conf 640
pulp-server.noarch: E: non-readable /etc/pki/pulp/rsa.key 640
pulp-server.noarch: E: non-readable /etc/pulp/server.conf 640
pulp-server.noarch: E: non-readable /etc/pki/pulp/ca.key 640

These config files all contains secrets (secret keys or passwords) and so shouldn't be world-readable.

pulp-nodes-common.noarch: W: no-manual-page-for-binary pulp-gen-nodes-certificate
pulp-server.noarch: W: no-manual-page-for-binary pulp-gen-ca-certificate
pulp-server.noarch: W: no-manual-page-for-binary pulp-manage-db
pulp-server.noarch: W: no-manual-page-for-binary pulp-qpid-ssl-cfg

I filed an issue for these upstream: https://pulp.plan.io/issues/1499

pulp-nodes-parent.noarch: W: dangling-symlink /var/www/pulp/nodes/content /var/lib/pulp/content

This one I'm not sure about. pulp-nodes installs this symlinks, but the destination is into pulp-server which is a dependency. I'd think that would be OK, but rpmlint is upset.

pulp-server.noarch: E: explicit-lib-dependency python-httplib2

I think rpmlint is in error here, as this is a Python package, not a C library.

pulp-server.noarch: E: non-standard-dir-perm /var/log/pulp 750

The logs might contain secret information from time to time, so we have decided to make them secret. Is this OK?

pulp-server.noarch: W: log-files-without-logrotate ['/var/log/pulp']

I've filed this issue upstream: https://pulp.plan.io/issues/1498

python2-pulp-streamer.noarch: W: empty-%postun
19 packages and 0 specfiles checked; 9 errors, 9 warnings.

In full disclosure, I have not tested the functionality of these packages. Pulp by itself has no functionality - it needs at least one plugin to be able to "do" anything. Unfortunately, each plugin has a dependency on the platform package, and so there is a chicken-and-egg situation.

My plan is to get platform into Rawhide, and then use pulp-docker as a test package to refine it (if there are issues) when I submit a package request for pulp-docker next.

If preferred, I may be able to do some of the testing with pulp-docker as I work on it, before we move Pulp platform into Rawhide (though I won't be able to use fedora-review on pulp-docker without Pulp platform being included in Rawhide).
Comment 1 Upstream Release Monitoring 2016-01-10 23:52:26 EST
rbarlow's scratch build of pulp-2.8.0-0.1.alpha.20160110gitb5031a23.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12494662
Comment 2 Randy Barlow 2016-01-10 23:54:55 EST
One more thing I forgot to mention - this package request was obviously made with a pre-release of the 2.8.0 first beta. We anticipate making a beta tomorrow, so I wanted to get a head start. I'm happy to make a new SRPM once that happens, but I thought it'd be good to go ahead and get a package review started as is.

Once there is a beta, we'll post each 2.8 beta into Rawhide as they are released upstream. Once Fedora has a stable release of 2.8, we will only publish stable releases forward.
Comment 3 Randy Barlow 2016-01-11 22:09:14 EST
Adam,

I now have a beta of the package, and I believe I have worked out a number of spec file issues that were present in the first link I provided. Here is an updated package:

Spec URL: https://rbarlow.fedorapeople.org/pulp.spec
SRPM URL: https://rbarlow.fedorapeople.org/pulp-2.8.0-0.1.beta.fc24.src.rpm

There are still a number of rpmlint issues. Most I think we can ignore, but perhaps you can provide some insight about a few of them. I'll comment inline as I did before:

$ rpmlint ~/rpmbuild/RPMS/noarch/p* ~/rpmbuild/SRPMS/pulp-2.8.0-0.1.beta.fc24.src.rpm pulp-admin-client.noarch: W: conffile-without-noreplace-flag /etc/bash_completion.d/pulp-admin
pulp-consumer-client.noarch: W: conffile-without-noreplace-flag /etc/bash_completion.d/pulp-consumer

IMO, the bash_completion isn't really a config file so it doesn't need noreplace. Do you agree?

pulp-agent.noarch: E: zero-length /etc/pulp/agent/agent.conf

I filed this upstream: https://pulp.plan.io/issues/1497

pulp-consumer-client.noarch: E: non-readable /etc/pki/pulp/consumer/rsa.key 640
pulp-nodes-child.noarch: E: non-readable /etc/pulp/server/plugins.conf.d/nodes/importer/http.conf 640
pulp-nodes-common.noarch: E: non-readable /etc/pulp/nodes.conf 640
pulp-server.noarch: E: non-readable /etc/pki/pulp/ca.key 640
pulp-server.noarch: E: non-readable /etc/pki/pulp/rsa.key 640
pulp-server.noarch: E: non-readable /etc/pulp/server.conf 640

These files all contain secrets (cryptographic keys or passwords) and so I think being unreadable by world is required.

pulp-nodes-common.noarch: W: no-manual-page-for-binary pulp-gen-nodes-certificate
pulp-server.noarch: W: no-manual-page-for-binary pulp-gen-ca-certificate
pulp-server.noarch: W: no-manual-page-for-binary pulp-manage-db
pulp-server.noarch: W: no-manual-page-for-binary pulp-qpid-ssl-cfg

I filed an issue for these upstream: https://pulp.plan.io/issues/1499

pulp-nodes-parent.noarch: W: dangling-symlink /var/www/pulp/nodes/content /var/lib/pulp/content
pulp-server.noarch: W: dangling-symlink /var/www/pulp/nodes/https /var/lib/pulp/nodes/published/https
pulp-server.noarch: W: dangling-symlink /var/www/pulp/nodes/http /var/lib/pulp/nodes/published/http

I am puzzled by these. AFAICT, these symlinks are from one subpackage's owned directory to another subpackage's directories. Does rpmlint not allow symlinks across subpackages? Do you have any advice about this?

pulp-server.noarch: E: explicit-lib-dependency python-httplib2

I think this might just be a linter mistake due to this package having "lib" in its name.

pulp-server.noarch: E: non-standard-dir-perm /var/log/pulp 750

We have had a number of bugs where secret information has gotten logged. We decided that it was safest to make the logs as non-world readable. Is that acceptable?

pulp-server.noarch: W: log-files-without-logrotate ['/var/log/pulp']

I've filed this issue upstream: https://pulp.plan.io/issues/1498

python2-pulp-streamer.noarch: W: empty-%postun

We used the %systemd_postun macro here, which seems to be empty. I didn't write that part of our original spec, so I'm not 100% sure what it is there for. Do you think I should just drop the %postun section since it's empty anyway?

20 packages and 0 specfiles checked; 9 errors, 11 warnings.

Thanks for your review, and sorry it was a little later than expected!
Comment 4 Upstream Release Monitoring 2016-01-11 22:18:33 EST
rbarlow's scratch build of pulp-2.8.0-0.1.beta.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12508358
Comment 5 Randy Barlow 2016-01-11 22:31:07 EST
I have made one more change - I added another .1 after the beta in the release, so that I have a place to raise my spec file version when needed until we reach a normal Pulp release.

Spec URL: https://rbarlow.fedorapeople.org/pulp.spec
SRPM URL: https://rbarlow.fedorapeople.org/pulp-2.8.0-0.1.beta.1.fc24.src.rpm
Comment 6 Upstream Release Monitoring 2016-01-11 22:43:40 EST
rbarlow's scratch build of pulp-2.8.0-0.1.beta.1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12508634
Comment 7 Adam Miller 2016-01-12 17:01:18 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 1301 files have unknown license.
     Detailed output of licensecheck in
     /home/admiller/reviews/1297274-pulp/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/gofer/plugins
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/pki/pulp,
     /usr/lib/python2.7/site-packages/pulp, /etc/httpd, /etc/gofer/plugins,
     /etc/default, /etc/httpd/conf.d, /etc/pulp
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
     Note: No (noreplace) in %config /etc/bash_completion.d/pulp-admin
     %config /etc/bash_completion.d/pulp-consumer
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 184320 bytes in 36 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in pulp-
     admin-client , pulp-agent , pulp-consumer-client , pulp-doc , pulp-
     nodes-admin-extensions , pulp-nodes-child , pulp-nodes-common , pulp-
     nodes-consumer-extensions , pulp-nodes-parent , pulp-selinux , pulp-
     server , python2-pulp-agent-lib , python2-pulp-bindings , python2
     -pulp-client-lib , python2-pulp-common , python2-pulp-devel , python2
     -pulp-oid_validation , python2-pulp-repoauth , python2-pulp-streamer
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pulp-admin-client-2.8.0-0.1.beta.1.fc24.noarch.rpm
          pulp-agent-2.8.0-0.1.beta.1.fc24.noarch.rpm
          pulp-consumer-client-2.8.0-0.1.beta.1.fc24.noarch.rpm
          pulp-doc-2.8.0-0.1.beta.1.fc24.noarch.rpm
          pulp-nodes-admin-extensions-2.8.0-0.1.beta.1.fc24.noarch.rpm
          pulp-nodes-child-2.8.0-0.1.beta.1.fc24.noarch.rpm
          pulp-nodes-common-2.8.0-0.1.beta.1.fc24.noarch.rpm
          pulp-nodes-consumer-extensions-2.8.0-0.1.beta.1.fc24.noarch.rpm
          pulp-nodes-parent-2.8.0-0.1.beta.1.fc24.noarch.rpm
          pulp-selinux-2.8.0-0.1.beta.1.fc24.noarch.rpm
          pulp-server-2.8.0-0.1.beta.1.fc24.noarch.rpm
          python2-pulp-agent-lib-2.8.0-0.1.beta.1.fc24.noarch.rpm
          python2-pulp-bindings-2.8.0-0.1.beta.1.fc24.noarch.rpm
          python2-pulp-client-lib-2.8.0-0.1.beta.1.fc24.noarch.rpm
          python2-pulp-common-2.8.0-0.1.beta.1.fc24.noarch.rpm
          python2-pulp-devel-2.8.0-0.1.beta.1.fc24.noarch.rpm
          python2-pulp-oid_validation-2.8.0-0.1.beta.1.fc24.noarch.rpm
          python2-pulp-repoauth-2.8.0-0.1.beta.1.fc24.noarch.rpm
          python2-pulp-streamer-2.8.0-0.1.beta.1.fc24.noarch.rpm
          pulp-2.8.0-0.1.beta.1.fc24.src.rpm
pulp-admin-client.noarch: W: conffile-without-noreplace-flag /etc/bash_completion.d/pulp-admin
pulp-agent.noarch: E: zero-length /etc/pulp/agent/agent.conf
pulp-consumer-client.noarch: W: conffile-without-noreplace-flag /etc/bash_completion.d/pulp-consumer
pulp-consumer-client.noarch: E: non-readable /etc/pki/pulp/consumer/rsa.key 640
pulp-nodes-child.noarch: E: non-readable /etc/pulp/server/plugins.conf.d/nodes/importer/http.conf 640
pulp-nodes-common.noarch: E: non-readable /etc/pulp/nodes.conf 640
pulp-nodes-common.noarch: W: no-manual-page-for-binary pulp-gen-nodes-certificate
pulp-nodes-parent.noarch: W: dangling-symlink /var/www/pulp/nodes/content /var/lib/pulp/content
pulp-server.noarch: E: explicit-lib-dependency python-httplib2
pulp-server.noarch: E: non-readable /etc/pulp/server.conf 640
pulp-server.noarch: W: dangling-symlink /var/www/pulp/nodes/http /var/lib/pulp/nodes/published/http
pulp-server.noarch: W: dangling-symlink /var/www/pulp/nodes/https /var/lib/pulp/nodes/published/https
pulp-server.noarch: E: non-readable /etc/pki/pulp/ca.key 640
pulp-server.noarch: E: non-standard-dir-perm /var/log/pulp 750
pulp-server.noarch: E: non-readable /etc/pki/pulp/rsa.key 640
pulp-server.noarch: W: log-files-without-logrotate ['/var/log/pulp']
pulp-server.noarch: W: no-manual-page-for-binary pulp-gen-ca-certificate
pulp-server.noarch: W: no-manual-page-for-binary pulp-manage-db
pulp-server.noarch: W: no-manual-page-for-binary pulp-qpid-ssl-cfg
python2-pulp-streamer.noarch: W: empty-%postun
20 packages and 0 specfiles checked; 9 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
pulp-admin-client.noarch: W: conffile-without-noreplace-flag /etc/bash_completion.d/pulp-admin
pulp-agent.noarch: E: zero-length /etc/pulp/agent/agent.conf
pulp-server.noarch: E: explicit-lib-dependency python-httplib2
pulp-server.noarch: E: non-readable /etc/pulp/server.conf 640
pulp-server.noarch: W: dangling-symlink /var/www/pulp/nodes/https /var/lib/pulp/nodes/published/https
pulp-server.noarch: E: non-readable /etc/pki/pulp/ca.key 640
pulp-server.noarch: E: non-standard-dir-perm /var/log/pulp 750
pulp-server.noarch: W: dangling-symlink /var/www/pulp/nodes/http /var/lib/pulp/nodes/published/http
pulp-server.noarch: E: non-readable /etc/pki/pulp/rsa.key 640
pulp-server.noarch: W: log-files-without-logrotate ['/var/log/pulp']
pulp-server.noarch: W: no-manual-page-for-binary pulp-gen-ca-certificate
pulp-server.noarch: W: no-manual-page-for-binary pulp-qpid-ssl-cfg
pulp-server.noarch: W: no-manual-page-for-binary pulp-manage-db
pulp-consumer-client.noarch: W: conffile-without-noreplace-flag /etc/bash_completion.d/pulp-consumer
pulp-consumer-client.noarch: E: non-readable /etc/pki/pulp/consumer/rsa.key 640
pulp-nodes-child.noarch: E: non-readable /etc/pulp/server/plugins.conf.d/nodes/importer/http.conf 640
pulp-nodes-common.noarch: E: non-readable /etc/pulp/nodes.conf 640
pulp-nodes-common.noarch: W: no-manual-page-for-binary pulp-gen-nodes-certificate
pulp-nodes-parent.noarch: W: dangling-symlink /var/www/pulp/nodes/content /var/lib/pulp/content
python2-pulp-streamer.noarch: W: empty-%postun
19 packages and 0 specfiles checked; 9 errors, 11 warnings.



Requires
--------
pulp-admin-client (rpmlib, GLIBC filtered):
    /usr/bin/python2
    config(pulp-admin-client)
    python(abi)
    python2-pulp-bindings
    python2-pulp-client-lib
    python2-pulp-common

python2-pulp-bindings (rpmlib, GLIBC filtered):
    m2crypto
    python(abi)
    python2-oauth2
    python2-pulp-common

python2-pulp-devel (rpmlib, GLIBC filtered):
    python(abi)
    python2-pulp-common

pulp-selinux (rpmlib, GLIBC filtered):
    /bin/sh
    /sbin/fixfiles
    /usr/bin/env
    /usr/sbin/semanage
    /usr/sbin/semodule
    policycoreutils-python
    selinux-policy
    selinux-policy-targeted

pulp-nodes-admin-extensions (rpmlib, GLIBC filtered):
    pulp-admin-client
    pulp-nodes-common
    python(abi)

pulp-agent (rpmlib, GLIBC filtered):
    config(pulp-agent)
    gofer
    m2crypto
    pulp-consumer-client
    python(abi)
    python-gofer
    python2-pulp-agent-lib
    python2-pulp-bindings

pulp-server (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    /usr/bin/python2
    acl
    config(pulp-server)
    crontabs
    genisoimage
    glibc-common
    httpd
    httpd-filesystem
    m2crypto
    mod_ssl
    mod_wsgi
    mod_xsendfile
    nss-tools
    openssl
    python(abi)
    python-blinker
    python-celery
    python-django
    python-gofer
    python-httplib2
    python-isodate
    python-ldap
    python-nectar
    python-qpid
    python-semantic_version
    python2-mongoengine
    python2-oauth2
    python2-pulp-common
    python2-pulp-repoauth
    python2-setuptools
    systemd

python2-pulp-repoauth (rpmlib, GLIBC filtered):
    config(python2-pulp-repoauth)
    httpd
    mod_ssl
    mod_wsgi
    openssl
    python(abi)
    python-rhsm
    python2-pulp-common
    python2-setuptools

pulp-nodes-consumer-extensions (rpmlib, GLIBC filtered):
    pulp-consumer-client
    pulp-nodes-common
    python(abi)

pulp-doc (rpmlib, GLIBC filtered):

pulp-consumer-client (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    config(pulp-consumer-client)
    python(abi)
    python2-pulp-bindings
    python2-pulp-client-lib
    python2-pulp-common

python2-pulp-common (rpmlib, GLIBC filtered):
    python(abi)
    python-iniparse
    python-isodate

pulp-nodes-child (rpmlib, GLIBC filtered):
    config(pulp-nodes-child)
    pulp-nodes-common
    pulp-server
    python(abi)
    python-nectar
    python2-pulp-agent-lib

python2-pulp-client-lib (rpmlib, GLIBC filtered):
    m2crypto
    python(abi)
    python-isodate
    python-okaara
    python2-pulp-common
    python2-setuptools

python2-pulp-oid_validation (rpmlib, GLIBC filtered):
    python(abi)
    python-rhsm
    python2-pulp-repoauth

pulp-nodes-common (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    config(pulp-nodes-common)
    pulp-server
    python(abi)
    python2-pulp-bindings

pulp-nodes-parent (rpmlib, GLIBC filtered):
    config(pulp-nodes-parent)
    pulp-nodes-common
    pulp-server
    python(abi)

python2-pulp-agent-lib (rpmlib, GLIBC filtered):
    python(abi)
    python2-pulp-common

python2-pulp-streamer (rpmlib, GLIBC filtered):
    /bin/sh
    config(python2-pulp-streamer)
    httpd
    pulp-server
    python(abi)
    python-nectar
    python-twisted
    python2-mongoengine
    systemd



Provides
--------
pulp-admin-client:
    config(pulp-admin-client)
    pulp-admin-client

python2-pulp-bindings:
    python-pulp-bindings
    python-pulp-bindings(x86-64)
    python2-pulp-bindings

python2-pulp-devel:
    python-pulp-devel
    python-pulp-devel(x86-64)
    python2-pulp-devel

pulp-selinux:
    pulp-selinux

pulp-nodes-admin-extensions:
    pulp-nodes-admin-extensions

pulp-agent:
    config(pulp-agent)
    pulp-agent

pulp-server:
    config(pulp-server)
    pulp-server

python2-pulp-repoauth:
    config(python2-pulp-repoauth)
    python-pulp-repoauth
    python-pulp-repoauth(x86-64)
    python2-pulp-repoauth

pulp-nodes-consumer-extensions:
    pulp-nodes-consumer-extensions

pulp-doc:
    pulp-doc

pulp-consumer-client:
    config(pulp-consumer-client)
    pulp-consumer-client

python2-pulp-common:
    python-pulp-common
    python-pulp-common(x86-64)
    python2-pulp-common

pulp-nodes-child:
    config(pulp-nodes-child)
    pulp-nodes-child

python2-pulp-client-lib:
    python-client-lib
    python-client-lib(x86-64)
    python2-pulp-client-lib

python2-pulp-oid_validation:
    python-pulp-oid_validation
    python-pulp-oid_validation(x86-64)
    python2-pulp-oid_validation

pulp-nodes-common:
    config(pulp-nodes-common)
    pulp-nodes-common

pulp-nodes-parent:
    config(pulp-nodes-parent)
    pulp-nodes-parent

python2-pulp-agent-lib:
    python-pulp-agent-lib
    python-pulp-agent-lib(x86-64)
    python2-pulp-agent-lib

python2-pulp-streamer:
    config(python2-pulp-streamer)
    python-pulp-streamer
    python-pulp-streamer(x86-64)
    python2-pulp-streamer



Source checksums
----------------
https://github.com/pulp/pulp/archive/pulp-2.8.0-0.1.beta.tar.gz :
  CHECKSUM(SHA256) this package     : 79c967e343c309a71244ac1add22829962ffa82c7a8d0e3988756a04ae5de442
  CHECKSUM(SHA256) upstream package : 79c967e343c309a71244ac1add22829962ffa82c7a8d0e3988756a04ae5de442


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1297274 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

APPROVED
Comment 8 Gwyn Ciesla 2016-01-12 18:29:32 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/pulp
Comment 9 Randy Barlow 2016-01-14 00:05:40 EST
Hi Adam!

I got the needed patch in to fix some path problems, but now it seems that we have an issue working with the newer version of python-pymongo that is included in Fedora 24.

I've filed upstream and downstream bugs about that issue here:

https://pulp.plan.io/issues/1528
https://bugzilla.redhat.com/show_bug.cgi?id=1298427

Apologies, but it seems that it is still going to be a bit before we have Pulp fully working in Rawhide ☺

Note You need to log in before you can comment on or make changes to this bug.